let getResult = document.getElementById('getResult');
let result =document.getElementById('result');
function ranAry() {
    var fruits =  ["りんご", "みかん", "ぶどう", "メロン", "もも"];
    document.getElementById("dat").value = fruits[Math.floor(Math.random() * fruits.length)];
}
var menu = {
    "彩りガーデンサラダ":299,
    "小エビのサラダ":349,
    "やわらかチキンのサラダ":299,
    "わかめサラダ":299,
    "イタリアンサラダ":299,
    "シーフードサラダ":599,
    "半熟卵とポークのサラダ":599,
    "コーンクリームスープ":149,
    "冷たいパンプキンスープ（季節限定）":149,
    "たっぷり野菜のミネストローネ（季節限定）":299,
    "削りたてペコリーノチーズ":100,
    "ミニフィセル":169,
    "ガーリックトースト":189,
    "辛味チキン":299,
    "アスパラガスのオーブン焼き（季節限定）":299,
    "ポップコーンシュリンプ":299,
    "エスカルゴのオーブン焼き":399,
    "ムール貝のガーリック焼き":399,
    "野菜ソースのグリルソーセージ":399,
    "チョリソー":399,
    "柔らか青豆の温サラダ":199,
    "ほうれん草のソテー":199,
    "キャベツとアンチョビのソテー":199,
    "ポテトのグリル":199,
    "セロリのピクルス（季節限定）":199,
    "真イカのパプリカソース":199,
    "フォッカチオ":119,
    "プチフォッカ":139,
    "セットプチフォッカ":79,
    "フレッシュチーズとトマトのサラダ":299,
    "フレッシュチーズとトマトのサラダ（Wサイズ）":598,
    "プロシュート":399,
    "プロシュート（Wサイズ）":798,
    "熟成ミラノサラミ":299,
    "熟成ミラノサラミ（Wサイズ）":598,
    "マルゲリータピザ":399,
    "パンチェッタのピザ":399,
    "野菜ときのこのピザ":399,
    "やわらかイカのアンチョビのピザ":499,
    "バッファローモッツァレラのピザ":499,
    "ミラノサラミのピザ":499,
    "ほうれん草のグラタン（季節限定）":399,
    "シーフードグラタン":499,
    "アラビアータ":399,
    "ミートソースボロニア風":399,
    "半熟卵のミートソースボロニア風":468,
    "アーリオ・オーリオ":299,
    "キャベツのペペロンチーノ":399,
    "タラコソースシシリー風":399,
    "スープ入りトマト味ボンゴレ（季節限定）":499,
    "パルマ風スパゲッティ":399,
    "イカの墨入りスパゲッティ":499,
    "カルボナーラ":499,
    "アスパラガスとエビのクリームスパゲッティ（季節限定）":499,
    "アラビアータ（Wサイズ）":770,
    "ミートソースボロニア風（Wサイズ）":770,
    "アーリオ・オーリオ（Wサイズ）":574,
    "キャベツのペペロンチーノ（Wサイズ）":770,
    "タラコソースシシリー風（Wサイズ）":770,
    "パルマ風スパゲッティ（Wサイズ）":770,
    "イカの墨入りスパゲッティ（Wサイズ）":976,
    "カルボナーラ（Wサイズ）":976,
    "アスパラガスとエビのクリームスパゲッティ（季節限定）（Wサイズ）":976,
    "トッピング半熟卵":69,
    "ミラノ風ドリア":299,
    "半熟卵のミラノ風ドリア":368,
    "セットプチフォッカ付きミラノ風ドリア":378,
    "いろどり野菜のミラノ風ドリア":399,
    "エビとイカのドリア":499,
    "シーフードパエリア":599,
    "エビと野菜のトマトクリームリゾット":399,
    "ハヤシ＆ターメリックライス":499,
    "半熟卵のハヤシ＆ターメリックライス":568,
    "ミックスグリル":599,
    "ハンバーグステーキ":399,
    "デミグラスソースのハンバーグ":499,
    "野菜ソースのハンバーグ（ディアボラ風）":499,
    "イタリアンハンバーグ":499,
    "焼肉とハンバーグの盛合せ":599,
    "若鶏のグリル（ディアボラ風）":499,
    "柔らかチキンのチーズ焼き":499,
    "パンチェッタと若鶏のグリル":599,
    "リブステーキ":999,
    "ライス":169,
    "ラージライス":219,
    "スモールライス":119,
    "カプチーノ（アイスケーキ）（季節限定）":199,
    "ティラミス（アイスケーキ）":199,
    "シナモンフォッカチオ":169,
    "プリンとカプチーノの盛合せ":399,
    "プリンとティラミスの盛合せ":399,
    "ミルクアイスのせシナモンフォッカチオ":319,
    "ミルクジェラート":199,
    "シチリア産レモンのソルベ":199,
    "イタリアンプリン":249,
    "チョコレートケーキ":299,
    "コーヒーゼリー":299,
    "トリフアイスクリーム":369
}

var menulength = 0;
var ary = [];
var arycalorie = [];
for(i in menu){
   menulength++;
   ary.push(menu[i]);
}

var rand = Math.floor(Math.random() * menulength);
var key = Object.keys(menu);
let total = ary[rand];
var key1 = key[rand];
result.innerHTML =  '<p style="text-align: center"><b>イートインガチャ結果</b></p><p><strong style="font-size: large">' + key[rand] + '</strong>：'+ ary[rand] + '円　' + arycalorie[rand] + 'kcal</p>';
while (total <= 1700){
   var rand2 = Math.floor(Math.random() * menulength);
   total = total + ary[rand2];
   totalcalorie = totalcalorie + arycalorie[rand2];
   key1 = key1 + '，' + key[rand2];
   if (total <= 844) {
       document.getElementById('result').innerHTML += '<p><strong style="font-size: large">' + key[rand2] + '</strong>：'+ ary[rand2] + '円　' + arycalorie[rand2] + 'kcal</p>';
   } else if (total <= 909){
       document.getElementById('result').innerHTML += '<p><strong style="font-size: large">' + key[rand2] + '</strong>：'+ ary[rand2] + '円　' + arycalorie[rand2] + 'kcal</p>';
       break;
   } else {
       total = total - ary[rand2];
       totalcalorie = totalcalorie - arycalorie[rand2];
       key1 = key1.replace('，' + key[rand2], '');
   }
}
document.getElementById('result').innerHTML += '<br><p style="text-align: center">税抜合計：' + total + '円<br><b>税込合計：' + Math.floor(total *1.1) + '円<br>カロリー合計：' + totalcalorie + 'kcal </b></p>';

getResult.addEventListener('click',function twitText() {
   var s, url;
   s = "吉野家1000円ガチャの結果は………" + key1 + "　で税込合計" + Math.floor(total *1.1) + "円で，カロリーの合計は" + totalcalorie + "kcal です。";
   url = 'hiraocafe.com/yoshinoya1000.html';
   if (s != "") {
       if (s.length > 140) {
           //文字数制限
           alert("テキストが140字を超えています");
       } else {
           //投稿画面を開く
           url = "http://twitter.com/share?url=" + escape(url) + "&text=" + s;
           window.open(url, "_blank", "width=600,height=300");
       }
   }
}
                         )